Bug 2023 - No ruptime command
No ruptime command
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rwho (Show other bugs)
5.2
All Linux
low Severity low
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-06 16:25 EDT by Chris Siebenmann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 14:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Siebenmann 1999-04-06 16:25:48 EDT
Despite having rwhod and rwho, RedHat doesn't have an
ruptime (even in RawHide). If you're interested, I can
send you the source I use here (derived from a couple
of versions found on the net/Sunsite/etc for Linux, which
in turn were derived from 4.4BSD if I remember right).
Comment 1 Jeff Johnson 1999-04-06 16:49:59 EDT
Please send the source. Thanks.
Comment 2 Chris Siebenmann 1999-04-07 18:52:59 EDT
I mailed in the source following the FAQ on mailing in patches
to bugzilla, but it doesn't seem to have shown up here (unless
something is lagging in the update stuff). If the source has
really gone missing, I will email it to the address of choice
so as to get it submitted.


------- Email Received From  Jeff Johnson <jbj@redhat.com> 04/07/99 19:51 -------
Comment 3 Jeff Johnson 1999-04-09 14:16:59 EDT
Ruptime added in rwho-0.10-23. Thanks for the source.
Comment 4 Gilbert E. Detillieux 1999-07-14 19:14:59 EDT
ruptime now works like a charm, but the man page doesn't show the
options correctly (at least not on a RedHat 5.2 system).  The
following patch fixes that.  (I'm not sure it's the ideal fix, but it
seems to do the job.)

--- /usr/man/man1/ruptime.1     Wed Jul 14 11:54:01 1999
+++ ruptime.1   Wed Jul 14 18:06:24 1999
@@ -38,19 +38,20 @@
 .Pp
 Options:
 .Tw Ds
-.Tp Fl a
+.Bl -tag -width flag
+.It Fl a
 Users idle an hour or more are not counted unless the
 .Fl a
 flag is given.
-.Tp Fl l
+.It Fl l
 Sort by load average.
-.Tp Fl r
+.It Fl r
 Reverses the sort order.
-.Tp Fl t
+.It Fl t
 Sort by uptime.
-.Tp Fl u
+.It Fl u
 Sort by number of users.
-.Tp
+.El
 .Pp
 The default listing is sorted by host name.
 .Sh FILES

Note You need to log in before you can comment on or make changes to this bug.